<?php use_helper('UrlFunctions'); 

?>
<script>

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>

	function loadProvincias(destino,idDept,idProv){
		$(destino).options.length = 1;
		$('cboDisitrio').options.length = 1;
		var url = '<?=buildUrl('ajax/request')?>';
		var pars = 'type=getProvincias&nombreElm='+destino+'&value='+idDept+'&Edefault='+idProv;
		  
		var myAjax = new Ajax.Request(
		                       		url, 
		                          		{
		                          			method: 'get', 
		                           			parameters: pars, 
		                          			onComplete: actualizaJSON
		                           		});	
	}
	
	function loadDistritos(destino,idProv,idDist){
		$(destino).options.length = 1;
		var url = '<?=buildUrl('ajax/request')?>';
		var pars = 'type=getDistritos&nombreElm='+destino+'&value='+idProv+'&Edefault='+idDist;
		  
		var myAjax = new Ajax.Request(
		                       		url, 
		                          		{
		                          			method: 'get', 
		                           			parameters: pars, 
		                          			onComplete: actualizaJSON
		                           		});	
	}
	
actualizaJSON = function(request, json){
	  var numeroElementos = json.length;
	  for (var i = 0; i < numeroElementos; i++){
	    if($(json[i][0])){
	  	  switch ($(json[i][0]).tagName){
	  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
	  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
	  	    case 'SELECT'  : 
	  	      var objDDL = $(json[i][0]);
	  	      if(typeof(cont) == 'undefined'){
	  	        var cont = 0;
	  	        objDDL.options.length = 1;
	  	      }
	  	      var a_contentValues = json[i][1].split("_;_");
	      	  var value	= a_contentValues[0];
	      	  var text	= a_contentValues[1];
	      	  var selct	= a_contentValues[2];
	      	  if( selct == 'selected'){
	  	      	var option	= new Option(text,value,"defauldSelected");
	      	  }else{
	      	  	var option	= new Option(text,value);
	      	  }
	      		try{
	      			objDDL.add(option,null);
	      		}catch (e){
	      			objDDL.add(option,-1);
	      		}
	  	      cont++;
	  	    break;
	  	  }
	    }else{
	      if(json[i][0].indexOf("function") > -1){
	        eval("scriptEval = "+json[i][0]);
	        scriptEval();
	      }
	    }
	  }
	}
</script>
<?php
//echo myUser::getUser()->getRoleId();
//error_reporting(E_ALL);
//ini_set('display_errors','On'); //PARA PRODUCCION "Off"

if(myUser::getUser()->getRoleId() == "sys.ope"){
	//Buscar si el qu esta logueado esta con permiso para editar
	$o_colaboradorPrograma = new CrColaboradorProgramaFN();
	
	$o_colaboradorPrograma->setFechaActual(date('Y-m-d H:i').":00"); 
	$o_colaboradorPrograma->setIdColaborador(myUser::getUser()->getIdColaborador());
	$o_colaboradorPrograma->setEstado('A');
	$o_colaboradorPrograma->setEliminado('-1');
	
	$a_o_colaboradorPrograma = $o_colaboradorPrograma->select();
	
	
	if(is_array($a_o_colaboradorPrograma)){
		foreach ($a_o_colaboradorPrograma as $key => $o_colaboradorPrograma){
			$idPrograma =  $o_colaboradorPrograma->getIdPrograma();
			echo "Importante: Hay permiso para edicion de clientes ".$o_colaboradorPrograma->getFechaInicio()." hasta la fecha ".$o_colaboradorPrograma->getFechaFinal();
		}
	}else{
		echo " No tiene permiso";
		exit;
	}
}
if(isset($control)){
  
  $o_ClienteBean = new ClienteBean();
  
  $o_ClienteBean->setIdCliente($id);
  if($idPrograma) $o_ClienteBean->setIdPrograma($idPrograma);
  //$o_ClienteBean->setIdMercado($IdMercado);
  $o_ClienteBean->setIdTipoNegocio($IdTipoNegocio);
  //$o_ClienteBean->setDni($Dni);
  //$o_ClienteBean->setNombres($Nombres);
  //$o_ClienteBean->setApellidoPaterno($ApellidoPaterno);
  //$o_ClienteBean->setApellidoMaterno($ApellidoMaterno);
  //$nombrecompleto = $ApellidoPaterno." ".$ApellidoMaterno.", ".$Nombres;
  //$o_ClienteBean->setNombreCompleto($nombrecompleto);
  //$o_ClienteBean->setTelefono($Telefono);
  //$o_ClienteBean->setDireccion($Direccion);
  //$o_ClienteBean->setCelular($Celular);
  //$o_ClienteBean->setFechaNacimiento($FechaNacimiento);
  //$o_ClienteBean->setSexo($cboSexo); 
  
  /**********************/
  
  $o_ClienteBean->setReferenciaDomiciliariaCliente($ReferenciaDomiciliariaCliente);
  $o_ClienteBean->setDireccionlabora($Direccionlabora);
  $o_ClienteBean->setReferenciaLabora($ReferenciaLabora);
  $o_ClienteBean->setRpc($Rpc);
  $o_ClienteBean->setRpm($Rpm);
  $o_ClienteBean->setNextel($Nextel);
  $o_ClienteBean->setFechaInicioNegocio($FechaInicioNegocio);
  $o_ClienteBean->setBanco1($Banco1);
  $o_ClienteBean->setNumeroCuenta1($NumeroCuenta1);
  $o_ClienteBean->setBanco2($Banco2);
  $o_ClienteBean->setNumeroCuenta2($NumeroCuenta2);
  $o_ClienteBean->setFlagInfocor($FlagInfocor);
  $o_ClienteBean->setDniAval($DniAval);
  $o_ClienteBean->setNombreApellidoAval($NombreApellidoAval);
  $o_ClienteBean->setFechaNacimientoAval($FechaNacimientoAval);
  $o_ClienteBean->setDireccionAval($DireccionAval);
  $o_ClienteBean->setReferenciaAval($ReferenciaAval);
  //$o_ClienteBean->setIdDepartamento($cboDepartamento);
  //$o_ClienteBean->setIdProvincia($cboProvincia);
  //$o_ClienteBean->setIdDistrito($cboDisitrio);
  //$o_ClienteBean->setCodigoUbigeo($cboDisitrio);
  
  /*
  $o_ubigeoFN = new SgMstUbigeoFN();
  $o_ubigeoFN->setAdrId($cboDepartamento);
  $o_ubigeoBN = $o_ubigeoFN->selectByPK();
  $NombreDepartamento = $o_ubigeoBN->getAdrDesc();
  
  $o_ubigeoFN = new SgMstUbigeoFN();
  $o_ubigeoFN->setAdrId($cboProvincia);
  $o_ubigeoBN = $o_ubigeoFN->selectByPK();
  $NombreProvincia = $o_ubigeoBN->getAdrDesc();
  
  $o_ubigeoFN = new SgMstUbigeoFN();
  $o_ubigeoFN->setAdrId($cboDisitrio);
  $o_ubigeoBN = $o_ubigeoFN->selectByPK();
  $NombreDistrito = $o_ubigeoBN->getAdrDesc();
  
  $o_ClienteBean->setNombreDepartamento($NombreDepartamento);
  $o_ClienteBean->setNombreProvincia($NombreProvincia);
  $o_ClienteBean->setNombreDistrito($NombreDistrito);
  */
  
  /**********************/
  
  $o_ClienteBean->setLineaCredito($LineaCredito);
  //$o_ClienteBean->setEstadoCivil($cboEstadoCivil);
  //$o_ClienteBean->setEstado($cboEstado);   
  $o_ClienteBean->setFechaModificacion(date("Y-m-d H:i:s"));
  $o_ClienteBean->setUsuarioModificacion(myUser::getUser()->getUserId());
  
  $o_ClienteSystemClass = new ClienteSystemClass($o_ClienteBean);
  $bResult = $o_ClienteSystemClass->actualizarCliente($id,$chek_documento);
  
    if($bResult)
    {
        if( $typeSubmit == "next" )
        {
            ?>
            <script language="JavaScript">
            location.href = "<?php echo buildUrl( 'cli/datDoc', "id={$o_ClienteBean->getIdCliente()}" ) ?>";
            </script>
            <?
        }
        else 
        {
            ?>
            <script language="JavaScript">
            location.href = "<?php echo buildUrl( 'cli/datEval', "id={$o_ClienteBean->getIdCliente()}" ) ?>";
            </script>
            <?
        }
    }
    else
    {
        //$url = buildUrl('cli/add', "block=".$block."&error=1");
        echo '<div class="ui-widget" style="margin: 2px;"><div class="ui-state-error ui-corner-all" style="padding: 0 .7em;"><p><span class="ui-icon ui-icon-alert" style="float: left; margin-right: .3em;"></span><strong>Error:</strong>Error en actualizar el cliente.</p></div></div>';
    }
}


  //Mercados
  $o_ClienteSystemClass = new ClienteSystemClass(new TipoNegocioBean());
  $a_Mercado = $o_ClienteSystemClass->LoadMercadoXRol();
  //Tipos de Negocio
  $o_ClienteSystemClass = new ClienteSystemClass(new TipoNegocioBean());
  $a_TipoNegocio = $o_ClienteSystemClass->getTipoNegocio();

  

$o_ClienteBean = new ClienteBean();
$o_ClienteBean->setIdCliente($id);
$o_class = new ClienteBL();
$a_ObjectBean = $o_class->busquedaCliente($o_ClienteBean);

//Cargar Documento
 $o_ClienteSystemClass = new ClienteSystemClass(new DocumentoBean());
 $a_o_Documento = $o_ClienteSystemClass->getDocumento();
  
$o_DocumentoClienteBean = new DocumentoClienteBean();
$o_DocumentoClienteBean->setIdCliente($id);
$o_DocumentoClienteBL = new DocumentoClienteBL();
$a_o_documento = $o_DocumentoClienteBL->busquedaDocumentoClienteDetalle($o_DocumentoClienteBean);
if(is_array($a_o_documento)){
	foreach ($a_o_documento as $key =>$o_documento){
		$a_id_documento[] = $o_documento->getIdDocumento();
	}
}

$o_ubigeo = new SgMstUbigeoFN();
$a_o_departamentos = $o_ubigeo->getDepartamentos();

if(is_array($a_ObjectBean)){
  while(list($key,$o_ObjectBean) = each($a_ObjectBean)){
  	
  	
  	
  	$codigoUbigeo = $o_ObjectBean->getCodigoubigeo();
	
	$o_ubigeoFN = new SgMstUbigeoFN();
	$o_ubigeoFN->setAdrId($codigoUbigeo);
	
	$a_ubigeo = $o_ubigeoFN->getDptoProvDist();
	
	
	$idDpto = $a_ubigeo['departamento_id'];
	$idProv = $a_ubigeo['provincia_id'];
	$idDist = $codigoUbigeo;
	
?>
<table class="cuerpo" width="100%" border="0" cellpadding="0" cellspacing="0">
	<script type="text/javascript">
	validatePass = function(){
		valid.onSubmit = false;
	}
	</script>
	<tr>
		<td valign="top">
			 <form id="form1" name="form1" method="POST">
				<input type="hidden" name="control" value="1">
			  
                        <?php
                        $s_Param = '';
                        if( isset( $id ) )
                        {
                            $s_Param = 'id='.$id;
                        }
                        ?>
			  
                        <table id="tabShowScan" cellpadding="0" cellspacing="0" class="" style="margin-top: 5px;">
                            <tr>
                              <td class="mnuInactivoIzq" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="7"></td>
                              <td class="mnuInactivoTxt" type='maintTabguiaGeneral' nowrap onclick="location.href='<?php echo buildUrl('cli/datPer', $s_Param) ?>';">Datos Personales</td>
                              <td class="mnuInactivoDer" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="8"></td>
                              <?php if( isset( $id ) && $id != "" ){ ?>
                              <td class="mnuActivoIzq" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="7"></td>
                              <td class="mnuActivoTxt" type='maintTabguiaGeneral' nowrap onclick="location.href='<?php echo buildUrl('cli/datEval', $s_Param) ?>';">Datos de Evaluaci&oacute;n</td>
                              <td class="mnuActivoDer" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="8"></td>
                              
                              <td class="mnuInactivoIzq" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="7"></td>
                              <td class="mnuInactivoTxt" type='maintTabguiaGeneral' nowrap onclick="location.href='<?php echo buildUrl('cli/datDoc', $s_Param) ?>';">Documentos</td>
                              <td class="mnuInactivoDer" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="8"></td>
                              
                              <td class="mnuInactivoIzq" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="7"></td>
                              <td class="mnuInactivoTxt" type='maintTabguiaGeneral' nowrap onclick="location.href='<?php echo buildUrl('cli/datDocPe', $s_Param) ?>';">Documentos de Prestamos</td>
                              <td class="mnuInactivoDer" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="8"></td>
                              <?php } ?>
                            </tr>
                        </table>
			  
                        <table width="100%" cellspacing="2" cellpadding="2" border="0" class="marco marcoForm">
                            <tr>
                                <td nowrap="nowrap">
                                    <fieldset>
                                    
                                        <legend>REFERENCIA BANCARIAS</legend>
                                        
                                    	<table width="100%">
                                    	
                                            <tr>
                                                <td width="50%">
    
                                                    <table width="100%" cellpadding="5">
                                                        <tr>
                                                            <td width="8%" ><label class="label">Banco 1</label></td>
    														<td><input class="text" id="Banco1" name="Banco1" size="30" maxlength="30" type="text" class="text" value="<?php echo $o_ObjectBean->getBanco1();?>"/></td>
    														<td width="12%"><label class="label">Nro Cuenta 1</label></td>
    														<td><input class="text" id="NumeroCuenta1" name="NumeroCuenta1" size="30" maxlength="30" type="text" class="text" value="<?php echo $o_ObjectBean->getNumeroCuenta1();?>"/></td>
                                                        </tr>
                                                        <TR>
    														<td  width="8%"><label class="label">Banco 2 </label></td>
    														<td><input class="text" id="Banco2" name="Banco2" size="30" maxlength="30" type="text" class="text" value="<?php echo $o_ObjectBean->getBanco2();?>"/></td>
    														<td width="12%"><label class="label">Nro Cuenta 2</label></td>
    														<td><input class="text" id="NumeroCuenta2" name="NumeroCuenta2" size="30" maxlength="30" type="text" class="text" value="<?php echo $o_ObjectBean->getNumeroCuenta2();?>"/></td>
                                                        </TR>
                                                        <tr>
    														<td  width="8%"><label class="label">Infocor&nbsp;&nbsp;</label></td>
    														<td>
    															 <select name="FlagInfocor" id="FlagInfocor" type="text" class="combo" /> 
    																  <option value="N" <?php  if($o_ObjectBean->getFlagInfocor() == 'N') echo "selected='selected'"?>>No</option>
    																  <option value="S" <?php  if($o_ObjectBean->getFlagInfocor() == 'S') echo "selected='selected'"?>>Si</option>
    															</select>
    														</td>
    														<?php if(myUser::getUser()->getRoleId() == "sys.cen" || myUser::getUser()->getRoleId() == "sys.gen"){?>
    														<td width="12%"><label class="label">Linea Credito</label></td>
    														<td><input class="text" id="LineaCredito" name="LineaCredito" size="10" maxlength="10" type="text" class="text" value="<?php echo $o_ObjectBean->getLineaCredito();?>"/></td>
    														<?php }?>
                                                        </tr>
														 
                                                    </table>
                                                        
                                                </td>
                                                
                                            </tr>
                                    	
                                    	</table>
                                    
                                    </fieldset>
                                    
                                    <fieldset>
                                    
                                        <legend>DATOS DEL AVAL</legend>
                                        
                                    	<table width="100%">
                                    	
                                            <tr>
                                                <td width="50%">
    
                                                    <table width="100%" cellpadding="5">
                                                        <tr>
                                                            <td width="8%"><label class="label">DNI </label></td>
    														<td width="5%"><input class="text" id="DniAval" name="DniAval" size="15" type="text" class="text" value="<?php echo $o_ObjectBean->getDniAval();?>"/></td>
    														<td  width="10%"><label class="label">Nombres y Apellidos</label></td>
    														<td width="15%"><input class="text" id="NombreApellidoAval" name="NombreApellidoAval" size="45" maxlength="45" type="text" class="text" value="<?php echo $o_ObjectBean->getNombreApellidoAval();?>"/></td>
                                                        </tr>
                                                        <tr>
                                                            <td  width="8%"><label class="label">Fecha Nacimiento</label></td>
    														<td width="5%">
    														   <input class="text"  readonly  type="text" name="FechaNacimientoAval" id="FechaNacimientoAval"  maxlength="10" size="8" value="<?php echo $o_ObjectBean->getFechaNacimientoAval()?>" ondblclick="this.value=''"/><button type="button" onclick="return false" id="btnFechaNacimientoAval">...</button>
    														   <script type="text/javascript">
    																 document.getElementById("btnFechaNacimientoAval").disabled = false;
    																 Calendar.setup({
    																 inputField : "FechaNacimientoAval",
    																 ifFormat : "%Y-%m-%d",
    																 daFormat : "%Y-%m-%d",
    																 button   : "btnFechaNacimientoAval"
    																 });
    															</script>
    														</td>
    														<td rowspan="3" colspan="2">
                                                                <table width="100%">
                                                                    <tr>
                                                                        <td>
                                                                            <fieldset>
                																<legend class="">DOCUMENTOS ADJUNTOS</legend>
                																<div style="height: 150px;overflow: auto;width: 40%;">
                    																<table width="100%" border="0" cellspacing="4" cellpadding="4">
                    																	<?php   
                    																		if(is_array($a_o_Documento)){
                    																			$i = 1;
                    																			while(list($key,$o_Documento) = each($a_o_Documento)){
                    																				if($i == 1){ ?>
                    																					<tr>
                    																				<?}?>
                    																					<td width="4%"><input type="checkbox" name="chek_documento[]" id="chek_documento" value="<?=$o_Documento->getIdDocumento()?>" <?php if(is_array($a_id_documento) && in_array($o_Documento->getIdDocumento(),$a_id_documento)) echo " checked ='checked'"?>></td>
                    																					<td><label class="label"><?=$o_Documento->getDescripcion()?></label></td>
                    																				<?php
                    																				//if($i == 2){ $i = 1;?>
                    																					</tr>
                    																				<? //} ?><?php
                    																				$i++;
                    																			}
                    																		}
                    																	?>
                    																</table>
                                                                                </div>
                															</fieldset>
                                                                        </td>
                                                                    </tr>
                                                                </table>
    														</td>
                                                        </tr>
                                                        <tr>
                                                            <td width="5%"><label class="label">Direcci&oacute;n Domiciliaria</label></td>
    														<td  width="5%"><textarea name="DireccionAval" id="DireccionAval" cols="30" rows="1"><?php echo $o_ObjectBean->getDireccionAval();?></textarea></td>
    														
                                                        </tr>
                                                        <tr>
                                                            <td width="5%"><label class="label">Referencia Domiciliaria</label></td>
    														<td  width="5%"><textarea name="ReferenciaAval" id="ReferenciaAval" cols="30" rows="1"><?php echo $o_ObjectBean->getReferenciaAval();?></textarea></td>
                                                        </tr>
                                                    </table>
                                                        
                                                </td>
                                                
                                            </tr>
                                    	
                                    	</table>
                                    
                                    </fieldset>
                                	
                                </td>
                            </tr>
                        </table>
                        
                        
                        
                        
				<table hspace="2px" class="marco" width="96%" cellpadding="0" cellspacing="0">
					<tr>
						<td valign="top" colspan="2">
                            
                            <table style="pad">
                            </table>
					
								<table width="100%" border="0" cellpadding="0" cellspacing="0" style="background: #fff">
									<tr>
										<td height="0" width="100%">
										   

											   <table width="100%" border="0" cellspacing="0" cellpadding="0">
													<tr>
														<td><img src="/images/common/spacer.gif" width="10"></td>
													</tr>
													<tr>
													    <td align="center">
															<input type="hidden" name="typeSubmit" id="typeSubmit">
															<input class="button" type="button" value="Anterior" onclick="location.href='<?php echo buildUrl('cli/datPer', $s_Param) ?>'"/>
															<input class="button" type="submit" value="Grabar" onclick="$('typeSubmit').value='ok';">
															<input class="button" type="submit" value="Grabar y Siguiente" onclick="$('typeSubmit').value='next';">
															<input class="button" type="button" value="Siguiente" onclick="location.href='<?php echo buildUrl('cli/datDoc', $s_Param) ?>'"/>
															<input class="button" type="button" value="Cancelar" onclick="location.href='<?php echo buildUrl('cli/list', $s_Param."&block=001" ) ?>'"/>
													    </td>
													</tr>
													<tr>
														<td height="10">&nbsp;</td>
													</tr>
												</table>
											
										</td>
									</tr>
								</table>							
								
						</td>
					</tr>
				</table> 
			</form>
				<script type="text/javascript">
					var valid = new Validation('form1', {immediate : true});
				</script>
		</td>
	</tr>
</table>


<?php
  }
}
?>
<script>
	loadProvincias('cboProvincia','<?=$idDpto?>','<?=$idProv?>');
	loadDistritos('cboDisitrio','<?=$idProv?>','<?=$idDist?>');
</script>

